严重: Skipped installing application listeners due to previous error(s)

  • 2015-07-30
  • 2006℃
Share:

问题描述:

应用程序就启动不了,提示错误如下:

严重: Skipped installing application listeners due to previous error(s)

org.apache.catalina.core.StandardContext start

严重: Error listenerStart

org.apache.catalina.core.StandardContext start

严重: Context startup failed due to previous errors

org.apache.catalina.core.StandardHost getDeployer


解决方法:

问题出在jdk上,eclipse IDE有三个地方设置jre或jdk。

1.project     右键工程->properties->java build path->Libraries tab页->最后选择JRE这是设置工程的运行环境。

2.eclipseIDE   window->preferences->java->Compiler  勾掉 Use default   compliance settings都选上 JDK,这

个是eclipseIDE用来编译java文  件的JDK(就是这个没设,造成了都编译程了jdk1.3的class文件,然后在  jre1.5

运行,肯定会出错的)。

3.tomcat     双击server-> runtime Environment->JRE:选择jdk版本,这个是选tomca运行和编译web应用的。

最新
业务QQ